;;
;; $Id: gnade.iss,v 1.7 2004/03/06 20:47:54 merdmann Exp $
;;
;;
[Setup]

AppName=GNU Ada Database Development Environment (GNADE)
AppVerName=GNADE Version 1.5.1
DefaultDirName={sd}\GNADE
DisableProgramGroupPage=yes
UninstallDisplayIcon={app}\GNADE.exe
AppCopyright=Copyright  2004 Michael Erdmann
SourceDir=../
WindowVisible=yes

[Components]
Name: "SDK";        Description: "Software Development Kit";      Types: full compact
Name: "odbctools";  Description: "ODBC Database Tools";           Types: full compact
Name: "src";        Description: "Source Code Base" ;             Types: full
Name: "addon";      Description: "Source Code Addons";            Types: full
Name: "Mimer";      Description: "Testdatabase for Mimer SQL" ;   Types: full compact

[Dirs]
Name: "{app}\win32-include"
Name: "{app}\win32-lib"
Name: "{app}\win32-bin"
Name: "{app}\var"

[Files]

Source: "win32-bin\gesql.exe"  ; DestDir: "{app}\win32-bin"         ; Components: SDK
Source: "win32-include\*"      ; DestDir: "{app}\win32-include"     ; Components: SDK
Source: "win32-lib\*"          ; DestDir: "{app}\win32-lib"         ; Components: SDK odbctools
Source: "win32-bin\imp.exe"    ; DestDir: "{app}\win32-bin"         ; Components: odbctools
Source: "win32-bin\exp.exe"    ; DestDir: "{app}\win32-bin"         ; Components: odbctools
Source: "win32-bin\sql.exe"    ; DestDir: "{app}\win32-bin"         ; Components: odbctools
Source: "win32-bin\lsodbc.exe" ; DestDir: "{app}\win32-bin"         ; Components: odbctools
Source: "win32\README.txt"     ; DestDir: "{app}"                   ; Flags: isreadme
Source: "gnade.gpp"            ; DestDir: "{app}"                   ; Components: SDK
Source: "version.ads"          ; DestDir: "{app}"                   ; Components: SDK
Source: "samples\standalone\*"  ; Destdir: "{app}\sample"           ; Components: SDK

;;
Source: "*"                    ; DestDir: "{app}\source"               ; Components: src
Source: "support\*"            ; DestDir: "{app}\source\support"       ; Components: src
Source: "esql\*"               ; DestDir: "{app}\source\esql"          ; Components: src
Source: "dbi\*"                ; DestDir: "{app}\source\dbi"           ; Components: src
Source: "dbi\odbc\*"           ; DestDir: "{app}\source\dbi\odbc"      ; Components: src
Source: "dbi\mysql\*"          ; DestDir: "{app}\source\dbi\mysql"     ; Components: src
Source: "dbi\postgres\*"       ; DestDir: "{app}\source\dbi\postgres"  ; Components: src
Source: "dbi\sqlite\*"         ; DestDir: "{app}\source\dbi\sqlite"    ; Components: src
Source: "dbi\oci\*"            ; DestDir: "{app}\source\dbi\oci"       ; Components: src
Source: "tools\*"              ; DestDir: "{app}\source\tools"         ; Components: src
Source: "bin\*"                ; DestDir: "{app}\source\bin"           ; Components: src
Source: "doc\*"                ; DestDir: "{app}\source\doc"           ; Components: src
Source: "doc\build\*"          ; DestDir: "{app}\source\build"         ; Components: src
Source: "doc\releasenotes\*"   ; DestDir: "{app}\source\doc\releasenotes" ; Components: src
Source: "rpm\*"                ; DestDir: "{app}\source\rpm"           ; Components: src
Source: "pkg-config\*"         ; DestDir: "{app}\source\pkg-config"    ; Components: src
Source: "etc\*"                ; DestDir: "{app}\source\etc"           ; Components: src
Source: "autoconf\*"           ; DestDir: "{app}\source\autoconf"      ; Components: src
Source: "dbi\adbc\*"           ; DestDir: "{app}\source\dbi\adbc"      ; Components: addon

;;
Source: "samples\sample_db\*mimer*"    ; DestDir: "{app}\samples\sample_db" ; Components: Mimer

[Run]
Filename: "{sd}\gnat\bin\gnatprep.exe" ; Description: "Configuring GNADE project";  Parameters: "-DDMLIBRARY=\""""odbc32\"""" -DDMLOCATION=\""""/gnat/lib/win32\"""" -DROOT=\""""{app}\"""" gnade.gpp gnade.gpr"; WorkingDir: "{app}"; StatusMsg: "Configuring gnade.gpr"












